import request from '@/utils/request'

export function carouselList(query) {
  return request({
    url: '/carousel/list',
    method: 'get',
    params: query
  })
}

export function addCarousel(data) {
  return request({
    url: '/carousel/add',
    method: 'post',
    data
  })
}

export function deleteCarouselBatch(data) {
  return request({
    url: '/carousel/delete',
    method: 'delete',
    data
  })
}

export function selectCarousel(id) {
  return request({
    url: '/taCarouselPicture/' + id,
    method: 'get'
  })
}

export function updateCarousel(id, data) {
  return request({
    url: '/taCarouselPicture/' + id,
    method: 'put',
    data
  })
}
